module.exports = {
  up: async (queryInterface, Sequelize) => {
    await queryInterface.bulkInsert('Features', [
      {
        code: 'member_management',
        name: '회원 관리',
        description: '클럽 회원 관리 기능',
        price: 0,
        createdAt: new Date(),
        updatedAt: new Date()
      },
      {
        code: 'event_management',
        name: '이벤트 관리',
        description: '클럽 이벤트 관리 기능',
        price: 0,
        createdAt: new Date(),
        updatedAt: new Date()
      },
      {
        code: 'event_calendar',
        name: '이벤트 캘린더',
        description: '클럽 이벤트 캘린더 기능',
        price: 1000,
        createdAt: new Date(),
        updatedAt: new Date()
      },
      {
        code: 'statistics',
        name: '통계',
        description: '클럽 통계 기능',
        price: 1000,
        createdAt: new Date(),
        updatedAt: new Date()
      },
      {
        code: 'team_create',
        name: '팀 생성',
        description: '이벤트별 팀 생성 기능',
        price: 1000,
        createdAt: new Date(),
        updatedAt: new Date()
      }
    ]);
  },
  down: async (queryInterface, Sequelize) => {
    await queryInterface.bulkDelete('Features', null, {});
  }
};
